package com.ibm.commerce.catalog.facade.server.services.search.metadata;

/*
 *-----------------------------------------------------------------
 * IBM Confidential
 *
 * OCO Source Materials
 *
 * WebSphere Commerce
 *
 * (C) Copyright IBM Corp. 2013
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 *-----------------------------------------------------------------
 */

import com.ibm.commerce.catalog.facade.datatypes.CatalogNavigationViewType;
import com.ibm.commerce.foundation.server.services.dataaccess.SelectionCriteria;
import com.ibm.commerce.foundation.server.services.search.SearchServiceConstants;
import com.ibm.commerce.foundation.server.services.search.metadata.AbstractSearchResultFilter;
import com.ibm.commerce.foundation.server.services.search.metadata.SearchResultFilter;
import commonj.sdo.DataObject;

public class SearchSampleResultFilter extends AbstractSearchResultFilter
		implements SearchResultFilter {

	public void filter(SelectionCriteria selectionCriteria,
			DataObject dataObject) throws RuntimeException {

		super.filter(selectionCriteria, dataObject);
		
		// dataObject - Logical data object model for representing this response
		CatalogNavigationViewType catalogNavigationView = (CatalogNavigationViewType) dataObject;

		// Retrieving search profile from SelectionCriteria expression object
		String searchProfile = getControlParameterValue(SearchServiceConstants.CTRL_PARAM_SEARCH_PROFILE);

	}
}
